Subject: [bug#36404] [PATCH 4/6] Export the (gnu machine) interface.

From: [email-masked] (Jakob L. Kreuze)
Date: Sat, 29 Jun 2019 20:41:14 -0400

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:

> Do we need this at all or could “guix deploy” evaluate the machine
> declaration in an environment where the machine module is available?
> We do something like that for evaluating manifests – no module
> relating to manifest loading needs to be specified by users and yet
> “specifications->manifest” is available.
>
> Would it make sense to do something similar here instead of exporting
> (gnu machine) in (gnu)?

Thanks for that comment; I'd completely forgotten about not having to
import 'specifications->manifest'. I doubt the machine types will see
much use outside of deployment specifications, so something like that
would definitely make sense here. I'll add it in.

Regards,
Jakob